From 0b131612d5f0387eb68da4ac49a384c57ca78851 Mon Sep 17 00:00:00 2001
From: Ludovic Courtès <ludo@gnu.org>
Date: Wed, 8 Apr 2015 10:20:25 +0200
Subject: tests: Skip 'guix-package-net.sh' when prerequisites aren't met.

* tests/guix-package-net.sh: Reinstate networking and shebang test that
  inadvertently vanished in commit 57b8623.
---
 tests/guix-package-net.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index cedfa3217b..cf3233bee2 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -37,6 +37,14 @@ shebang_too_long ()
 	 -ge 128
 }
 
+if ! guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null \
+	|| shebang_too_long
+then
+    # Skipping.
+    exit 77
+fi
+
+
 profile="t-profile-$$"
 rm -f "$profile"
 
-- 
cgit v1.2.3